## gimpbaseenums

gimpbaseenums — Basic GIMP enumeration data types.

## Types and Values

enum | GimpAddMaskType
enum | GimpBlendMode
enum | GimpBrushGeneratedShape
enum | GimpBucketFillMode
enum | GimpCapStyle
enum | GimpChannelOps
enum | GimpChannelType
enum | GimpCheckSize
enum | GimpCheckType
enum | GimpCloneType
enum | GimpColorTag
enum | GimpComponentType
enum | GimpConvertPaletteType
enum | GimpConvolveType
enum | GimpDesaturateMode
enum | GimpDodgeBurnType
enum | GimpFillType
enum | GimpForegroundExtractMode
enum | GimpGradientBlendColorSpace
enum | GimpGradientSegmentColor
enum | GimpGradientSegmentType
enum | GimpGradientType
enum | GimpGridStyle
enum | GimpHueRange
enum | GimpIconType
enum | GimpImageBaseType
enum | GimpImageType
enum | GimpInkBlobType
enum | GimpInterpolationType
enum | GimpJoinStyle
enum | GimpMaskApplyMode
enum | GimpMergeType
enum | GimpMessageHandlerType
enum | GimpOffsetType
enum | GimpOrientationType
enum | GimpPDBArgType
enum | GimpPDBErrorHandler
enum | GimpPDBProcType
enum | GimpPDBStatusType
enum | GimpPaintApplicationMode
enum | GimpPrecision
enum | GimpProgressCommand
enum | GimpRepeatMode
enum | GimpRotationType
enum | GimpRunMode
enum | GimpSelectCriterion
enum | GimpSizeType
enum | GimpStackTraceMode
enum | GimpStrokeMethod
enum | GimpTextDirection
enum | GimpTextHintStyle
enum | GimpTextJustification
enum | GimpTransferMode
enum | GimpTransformDirection
enum | GimpTransformResize
enum | GimpUserDirectory
enum | GimpVectorsStrokeType

## Description

Basic GIMP enumeration data types.

## Functions

## Types and Values

### enum GimpAddMaskType

#### Members

GIMP_ADD_MASK_WHITE |  |
GIMP_ADD_MASK_BLACK |  |
GIMP_ADD_MASK_ALPHA |  |
GIMP_ADD_MASK_ALPHA_TRANSFER |  |
GIMP_ADD_MASK_SELECTION |  |
GIMP_ADD_MASK_COPY |  |
GIMP_ADD_MASK_CHANNEL |  |
GIMP_ADD_WHITE_MASK |  |
GIMP_ADD_BLACK_MASK |  |
GIMP_ADD_ALPHA_MASK |  |
GIMP_ADD_ALPHA_TRANSFER_MASK |  |
GIMP_ADD_SELECTION_MASK |  |
GIMP_ADD_COPY_MASK |  |
GIMP_ADD_CHANNEL_MASK |  |

### enum GimpBlendMode

#### Members

GIMP_BLEND_FG_BG_RGB |  |
GIMP_BLEND_FG_BG_HSV |  |
GIMP_BLEND_FG_TRANSPARENT |  |
GIMP_BLEND_CUSTOM |  |
GIMP_FG_BG_RGB_MODE |  |
GIMP_FG_BG_HSV_MODE |  |
GIMP_FG_TRANSPARENT_MODE |  |
GIMP_CUSTOM_MODE |  |

### enum GimpBrushGeneratedShape

#### Members

GIMP_BRUSH_GENERATED_CIRCLE |  |
GIMP_BRUSH_GENERATED_SQUARE |  |
GIMP_BRUSH_GENERATED_DIAMOND |  |

### enum GimpBucketFillMode

#### Members

GIMP_BUCKET_FILL_FG |  |
GIMP_BUCKET_FILL_BG |  |
GIMP_BUCKET_FILL_PATTERN |  |
GIMP_FG_BUCKET_FILL |  |
GIMP_BG_BUCKET_FILL |  |
GIMP_PATTERN_BUCKET_FILL |  |

### enum GimpCapStyle

#### Members

GIMP_CAP_BUTT |  |
GIMP_CAP_ROUND |  |
GIMP_CAP_SQUARE |  |

### enum GimpChannelOps

#### Members

GIMP_CHANNEL_OP_ADD |  |
GIMP_CHANNEL_OP_SUBTRACT |  |
GIMP_CHANNEL_OP_REPLACE |  |
GIMP_CHANNEL_OP_INTERSECT |  |

### enum GimpChannelType

#### Members

GIMP_CHANNEL_RED |  |
GIMP_CHANNEL_GREEN |  |
GIMP_CHANNEL_BLUE |  |
GIMP_CHANNEL_GRAY |  |
GIMP_CHANNEL_INDEXED |  |
GIMP_CHANNEL_ALPHA |  |
GIMP_RED_CHANNEL |  |
GIMP_GREEN_CHANNEL |  |
GIMP_BLUE_CHANNEL |  |
GIMP_GRAY_CHANNEL |  |
GIMP_INDEXED_CHANNEL |  |
GIMP_ALPHA_CHANNEL |  |

### enum GimpCheckSize

#### Members

GIMP_CHECK_SIZE_SMALL_CHECKS |  |
GIMP_CHECK_SIZE_MEDIUM_CHECKS |  |
GIMP_CHECK_SIZE_LARGE_CHECKS |  |

### enum GimpCheckType

#### Members

GIMP_CHECK_TYPE_LIGHT_CHECKS |  |
GIMP_CHECK_TYPE_GRAY_CHECKS |  |
GIMP_CHECK_TYPE_DARK_CHECKS |  |
GIMP_CHECK_TYPE_WHITE_ONLY |  |
GIMP_CHECK_TYPE_GRAY_ONLY |  |
GIMP_CHECK_TYPE_BLACK_ONLY |  |

### enum GimpCloneType

#### Members

GIMP_CLONE_IMAGE |  |
GIMP_CLONE_PATTERN |  |
GIMP_IMAGE_CLONE |  |
GIMP_PATTERN_CLONE |  |

### enum GimpColorTag

#### Members

GIMP_COLOR_TAG_NONE |  |
GIMP_COLOR_TAG_BLUE |  |
GIMP_COLOR_TAG_GREEN |  |
GIMP_COLOR_TAG_YELLOW |  |
GIMP_COLOR_TAG_ORANGE |  |
GIMP_COLOR_TAG_BROWN |  |
GIMP_COLOR_TAG_RED |  |
GIMP_COLOR_TAG_VIOLET |  |
GIMP_COLOR_TAG_GRAY |  |

### enum GimpComponentType

#### Members

GIMP_COMPONENT_TYPE_U8 |  |
GIMP_COMPONENT_TYPE_U16 |  |
GIMP_COMPONENT_TYPE_U32 |  |
GIMP_COMPONENT_TYPE_HALF |  |
GIMP_COMPONENT_TYPE_FLOAT |  |
GIMP_COMPONENT_TYPE_DOUBLE |  |

### enum GimpConvertPaletteType

#### Members

GIMP_CONVERT_PALETTE_GENERATE |  |
GIMP_CONVERT_PALETTE_REUSE |  |
GIMP_CONVERT_PALETTE_WEB |  |
GIMP_CONVERT_PALETTE_MONO |  |
GIMP_CONVERT_PALETTE_CUSTOM |  |
GIMP_MAKE_PALETTE |  |
GIMP_REUSE_PALETTE |  |
GIMP_WEB_PALETTE |  |
GIMP_MONO_PALETTE |  |
GIMP_CUSTOM_PALETTE |  |

### enum GimpConvolveType

#### Members

GIMP_CONVOLVE_BLUR |  |
GIMP_CONVOLVE_SHARPEN |  |
GIMP_BLUR_CONVOLVE |  |
GIMP_SHARPEN_CONVOLVE |  |

### enum GimpDesaturateMode

#### Members

GIMP_DESATURATE_LIGHTNESS |  |
GIMP_DESATURATE_LUMA |  |
GIMP_DESATURATE_AVERAGE |  |
GIMP_DESATURATE_LUMINANCE |  |
GIMP_DESATURATE_VALUE |  |
GIMP_DESATURATE_LUMINOSITY |  |

### enum GimpDodgeBurnType

#### Members

GIMP_DODGE_BURN_TYPE_DODGE |  |
GIMP_DODGE_BURN_TYPE_BURN |  |
GIMP_DODGE |  |
GIMP_BURN |  |

### enum GimpFillType

#### Members

GIMP_FILL_FOREGROUND |  |
GIMP_FILL_BACKGROUND |  |
GIMP_FILL_WHITE |  |
GIMP_FILL_TRANSPARENT |  |
GIMP_FILL_PATTERN |  |
GIMP_FOREGROUND_FILL |  |
GIMP_BACKGROUND_FILL |  |
GIMP_WHITE_FILL |  |
GIMP_TRANSPARENT_FILL |  |
GIMP_PATTERN_FILL |  |

### enum GimpForegroundExtractMode

#### Members

GIMP_FOREGROUND_EXTRACT_SIOX |  |
GIMP_FOREGROUND_EXTRACT_MATTING |  |

### enum GimpGradientBlendColorSpace

#### Members

GIMP_GRADIENT_BLEND_RGB_PERCEPTUAL |  |
GIMP_GRADIENT_BLEND_RGB_LINEAR |  |
GIMP_GRADIENT_BLEND_CIE_LAB |  |

### enum GimpGradientSegmentColor

#### Members

GIMP_GRADIENT_SEGMENT_RGB |  |
GIMP_GRADIENT_SEGMENT_HSV_CCW |  |
GIMP_GRADIENT_SEGMENT_HSV_CW |  |

### enum GimpGradientSegmentType

#### Members

GIMP_GRADIENT_SEGMENT_LINEAR |  |
GIMP_GRADIENT_SEGMENT_CURVED |  |
GIMP_GRADIENT_SEGMENT_SINE |  |
GIMP_GRADIENT_SEGMENT_SPHERE_INCREASING |  |
GIMP_GRADIENT_SEGMENT_SPHERE_DECREASING |  |

### enum GimpGradientType

#### Members

GIMP_GRADIENT_LINEAR |  |
GIMP_GRADIENT_BILINEAR |  |
GIMP_GRADIENT_RADIAL |  |
GIMP_GRADIENT_SQUARE |  |
GIMP_GRADIENT_CONICAL_SYMMETRIC |  |
GIMP_GRADIENT_CONICAL_ASYMMETRIC |  |
GIMP_GRADIENT_SHAPEBURST_ANGULAR |  |
GIMP_GRADIENT_SHAPEBURST_SPHERICAL |  |
GIMP_GRADIENT_SHAPEBURST_DIMPLED |  |
GIMP_GRADIENT_SPIRAL_CLOCKWISE |  |
GIMP_GRADIENT_SPIRAL_ANTICLOCKWISE |  |

### enum GimpGridStyle

#### Members

GIMP_GRID_DOTS |  |
GIMP_GRID_INTERSECTIONS |  |
GIMP_GRID_ON_OFF_DASH |  |
GIMP_GRID_DOUBLE_DASH |  |
GIMP_GRID_SOLID |  |

### enum GimpHueRange

#### Members

GIMP_HUE_RANGE_ALL |  |
GIMP_HUE_RANGE_RED |  |
GIMP_HUE_RANGE_YELLOW |  |
GIMP_HUE_RANGE_GREEN |  |
GIMP_HUE_RANGE_CYAN |  |
GIMP_HUE_RANGE_BLUE |  |
GIMP_HUE_RANGE_MAGENTA |  |
GIMP_ALL_HUES |  |
GIMP_RED_HUES |  |
GIMP_YELLOW_HUES |  |
GIMP_GREEN_HUES |  |
GIMP_CYAN_HUES |  |
GIMP_BLUE_HUES |  |
GIMP_MAGENTA_HUES |  |

### enum GimpIconType

#### Members

GIMP_ICON_TYPE_ICON_NAME |  |
GIMP_ICON_TYPE_INLINE_PIXBUF |  |
GIMP_ICON_TYPE_IMAGE_FILE |  |
GIMP_ICON_TYPE_STOCK_ID |  |

### enum GimpImageBaseType

#### Members

GIMP_RGB |  |
GIMP_GRAY |  |
GIMP_INDEXED |  |

### enum GimpImageType

#### Members

GIMP_RGB_IMAGE |  |
GIMP_RGBA_IMAGE |  |
GIMP_GRAY_IMAGE |  |
GIMP_GRAYA_IMAGE |  |
GIMP_INDEXED_IMAGE |  |
GIMP_INDEXEDA_IMAGE |  |

### enum GimpInkBlobType

#### Members

GIMP_INK_BLOB_TYPE_CIRCLE |  |
GIMP_INK_BLOB_TYPE_SQUARE |  |
GIMP_INK_BLOB_TYPE_DIAMOND |  |

### enum GimpInterpolationType

#### Members

GIMP_INTERPOLATION_NONE |  |
GIMP_INTERPOLATION_LINEAR |  |
GIMP_INTERPOLATION_CUBIC |  |
GIMP_INTERPOLATION_NOHALO |  |
GIMP_INTERPOLATION_LOHALO |  |
GIMP_INTERPOLATION_LANCZOS |  |

### enum GimpJoinStyle

#### Members

GIMP_JOIN_MITER |  |
GIMP_JOIN_ROUND |  |
GIMP_JOIN_BEVEL |  |

### enum GimpMaskApplyMode

#### Members

GIMP_MASK_APPLY |  |
GIMP_MASK_DISCARD |  |

### enum GimpMergeType

#### Members

GIMP_EXPAND_AS_NECESSARY |  |
GIMP_CLIP_TO_IMAGE |  |
GIMP_CLIP_TO_BOTTOM_LAYER |  |
GIMP_FLATTEN_IMAGE |  |

### enum GimpMessageHandlerType

#### Members

GIMP_MESSAGE_BOX |  |
GIMP_CONSOLE |  |
GIMP_ERROR_CONSOLE |  |

### enum GimpOffsetType

#### Members

GIMP_OFFSET_BACKGROUND |  |
GIMP_OFFSET_TRANSPARENT |  |

### enum GimpOrientationType

#### Members

GIMP_ORIENTATION_HORIZONTAL |  |
GIMP_ORIENTATION_VERTICAL |  |
GIMP_ORIENTATION_UNKNOWN |  |

### enum GimpPDBArgType

#### Members

GIMP_PDB_INT32 |  |
GIMP_PDB_INT16 |  |
GIMP_PDB_INT8 |  |
GIMP_PDB_FLOAT |  |
GIMP_PDB_STRING |  |
GIMP_PDB_INT32ARRAY |  |
GIMP_PDB_INT16ARRAY |  |
GIMP_PDB_INT8ARRAY |  |
GIMP_PDB_FLOATARRAY |  |
GIMP_PDB_STRINGARRAY |  |
GIMP_PDB_COLOR |  |
GIMP_PDB_ITEM |  |
GIMP_PDB_DISPLAY |  |
GIMP_PDB_IMAGE |  |
GIMP_PDB_LAYER |  |
GIMP_PDB_CHANNEL |  |
GIMP_PDB_DRAWABLE |  |
GIMP_PDB_SELECTION |  |
GIMP_PDB_COLORARRAY |  |
GIMP_PDB_VECTORS |  |
GIMP_PDB_PARASITE |  |
GIMP_PDB_STATUS |  |
GIMP_PDB_END |  |
GIMP_PDB_PATH |  |
GIMP_PDB_BOUNDARY |  |
GIMP_PDB_REGION |  |

### enum GimpPDBErrorHandler

#### Members

GIMP_PDB_ERROR_HANDLER_INTERNAL |  |
GIMP_PDB_ERROR_HANDLER_PLUGIN |  |

### enum GimpPDBProcType

#### Members

GIMP_INTERNAL |  |
GIMP_PLUGIN |  |
GIMP_EXTENSION |  |
GIMP_TEMPORARY |  |

### enum GimpPDBStatusType

#### Members

GIMP_PDB_EXECUTION_ERROR |  |
GIMP_PDB_CALLING_ERROR |  |
GIMP_PDB_PASS_THROUGH |  |
GIMP_PDB_SUCCESS |  |
GIMP_PDB_CANCEL |  |

### enum GimpPaintApplicationMode

#### Members

GIMP_PAINT_CONSTANT |  |
GIMP_PAINT_INCREMENTAL |  |

### enum GimpPrecision

#### Members

GIMP_PRECISION_U8_LINEAR |  |
GIMP_PRECISION_U8_GAMMA |  |
GIMP_PRECISION_U16_LINEAR |  |
GIMP_PRECISION_U16_GAMMA |  |
GIMP_PRECISION_U32_LINEAR |  |
GIMP_PRECISION_U32_GAMMA |  |
GIMP_PRECISION_HALF_LINEAR |  |
GIMP_PRECISION_HALF_GAMMA |  |
GIMP_PRECISION_FLOAT_LINEAR |  |
GIMP_PRECISION_FLOAT_GAMMA |  |
GIMP_PRECISION_DOUBLE_LINEAR |  |
GIMP_PRECISION_DOUBLE_GAMMA |  |

### enum GimpProgressCommand

#### Members

GIMP_PROGRESS_COMMAND_START |  |
GIMP_PROGRESS_COMMAND_END |  |
GIMP_PROGRESS_COMMAND_SET_TEXT |  |
GIMP_PROGRESS_COMMAND_SET_VALUE |  |
GIMP_PROGRESS_COMMAND_PULSE |  |
GIMP_PROGRESS_COMMAND_GET_WINDOW |  |

### enum GimpRepeatMode

#### Members

GIMP_REPEAT_NONE |  |
GIMP_REPEAT_SAWTOOTH |  |
GIMP_REPEAT_TRIANGULAR |  |
GIMP_REPEAT_TRUNCATE |  |

### enum GimpRotationType

#### Members

GIMP_ROTATE_90 |  |
GIMP_ROTATE_180 |  |
GIMP_ROTATE_270 |  |

### enum GimpRunMode

#### Members

GIMP_RUN_INTERACTIVE |  |
GIMP_RUN_NONINTERACTIVE |  |
GIMP_RUN_WITH_LAST_VALS |  |

### enum GimpSelectCriterion

#### Members

GIMP_SELECT_CRITERION_COMPOSITE |  |
GIMP_SELECT_CRITERION_R |  |
GIMP_SELECT_CRITERION_G |  |
GIMP_SELECT_CRITERION_B |  |
GIMP_SELECT_CRITERION_H |  |
GIMP_SELECT_CRITERION_S |  |
GIMP_SELECT_CRITERION_V |  |
GIMP_SELECT_CRITERION_A |  |
GIMP_SELECT_CRITERION_LCH_L |  |
GIMP_SELECT_CRITERION_LCH_C |  |
GIMP_SELECT_CRITERION_LCH_H |  |

### enum GimpSizeType

#### Members

GIMP_PIXELS |  |
GIMP_POINTS |  |

### enum GimpStackTraceMode

#### Members

GIMP_STACK_TRACE_NEVER |  |
GIMP_STACK_TRACE_QUERY |  |
GIMP_STACK_TRACE_ALWAYS |  |

### enum GimpStrokeMethod

#### Members

GIMP_STROKE_LINE |  |
GIMP_STROKE_PAINT_METHOD |  |

### enum GimpTextDirection

#### Members

GIMP_TEXT_DIRECTION_LTR |  |
GIMP_TEXT_DIRECTION_RTL |  |

### enum GimpTextHintStyle

#### Members

GIMP_TEXT_HINT_STYLE_NONE |  |
GIMP_TEXT_HINT_STYLE_SLIGHT |  |
GIMP_TEXT_HINT_STYLE_MEDIUM |  |
GIMP_TEXT_HINT_STYLE_FULL |  |

### enum GimpTextJustification

#### Members

GIMP_TEXT_JUSTIFY_LEFT |  |
GIMP_TEXT_JUSTIFY_RIGHT |  |
GIMP_TEXT_JUSTIFY_CENTER |  |
GIMP_TEXT_JUSTIFY_FILL |  |

### enum GimpTransferMode

#### Members

GIMP_TRANSFER_SHADOWS |  |
GIMP_TRANSFER_MIDTONES |  |
GIMP_TRANSFER_HIGHLIGHTS |  |
GIMP_SHADOWS |  |
GIMP_MIDTONES |  |
GIMP_HIGHLIGHTS |  |

### enum GimpTransformDirection

#### Members

GIMP_TRANSFORM_FORWARD |  |
GIMP_TRANSFORM_BACKWARD |  |

### enum GimpTransformResize

#### Members

GIMP_TRANSFORM_RESIZE_ADJUST |  |
GIMP_TRANSFORM_RESIZE_CLIP |  |
GIMP_TRANSFORM_RESIZE_CROP |  |
GIMP_TRANSFORM_RESIZE_CROP_WITH_ASPECT |  |

### enum GimpUserDirectory

`GimpUserDirectory` is deprecated and should not be used in newly-written code.

#### Members

GIMP_USER_DIRECTORY_DESKTOP |  |
GIMP_USER_DIRECTORY_DOCUMENTS |  |
GIMP_USER_DIRECTORY_DOWNLOAD |  |
GIMP_USER_DIRECTORY_MUSIC |  |
GIMP_USER_DIRECTORY_PICTURES |  |
GIMP_USER_DIRECTORY_PUBLIC_SHARE |  |
GIMP_USER_DIRECTORY_TEMPLATES |  |
GIMP_USER_DIRECTORY_VIDEOS |  |

### enum GimpVectorsStrokeType

#### Members

GIMP_VECTORS_STROKE_TYPE_BEZIER |  |